LOADBSD(8) | System Manager's Manual (x68k) | LOADBSD(8)

# NAME

`loadbsd` —
load and boot NetBSD/x68k kernel from Human68k

# SYNOPSIS

`loadbsd.x` | [`-hvV`] [`-abDs`] [`-r` root_device] kernel_file

# DESCRIPTION

`loadbsd` is a program runs on Human68k. It loads and executes the specified NetBSD/x68k kernel.

The options (for `loadbsd` itself) are as follows:

`-h`
  Show help and exit.
`-v`
  Enable verbose mode.
`-V`
  Print version of `loadbsd` and exit.

The options for NetBSD kernel are as follows:

`-a`
  Auto (multi-user) boot. This disables `-s` flag.
`-b`
  Ask boot device during boot. Pass `RB_ASKNAME` boot flag to the kernel.
`-d`
  Use compiled-in rootdev. Pass `RB_DFLTROOT` boot flag to the kernel.
`-D`
  Enter kernel debugger. Pass `RB_KDB` boot flag to the kernel.
`-r` root_device
  Specify boot device, which shall be mounted as root device. The default device is ‘`sd@0,0:a`’. Note that the boot device name is not the same as that of NetBSD. See BOOT DEVICE NAMES below.
`-s`
  Single user boot. Pass `RB_SINGLE` boot flag to the kernel. This disables `-a` flag. This flag is set by default.

Although listed separately, the options may be in any order.

# BOOT DEVICE NAMES

The format of boot device names is:

`[/interface/]dev@unit[,lun][:partition]`

interface
  SCSI interface type. One of: ‘`spc@0`’, ‘`spc@1`’, ‘`mha@0`’. If the dev is a SCSI device, and interface is omitted, the current boot interface is used.
dev
  Device type. One of: ‘`fd`’ (floppy disk drive), ‘`sd`’ (SCSI disk), ‘`cd`’ (SCSI CD-ROM), ‘`md`’ (Memory disk).
unit
  Device unit #. You must specify the target SCSI ID if dev is a SCSI device.
lun
  SCSI LUN #. 0 is assumed if omitted.
partition
  Partition letter of device. Partition ‘`a`’ is used if omitted.

# FILES

/usr/mdec/loadbsd.x
  You will find this program here.

# SEE ALSO

reboot(2), x68k/boot(8)

# HISTORY

The `loadbsd` utility first appeared in NetBSD 1.4.

# BUGS

`loadbsd` reads the entire kernel image at once, and requires enough free area on the main memory.

February 17, 2017 | NetBSD 9.2